---

#! jobs/kunit.yaml
suite: kunit
testcase: kunit
category: functional
kunit:
  group: group-00
kernel_cmdline: kunit.enable=1
job_origin: kunit.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-bdw-de1
tbox_group: lkp-bdw-de1
job_file: "/lkp/jobs/scheduled/lkp-bdw-de1/kunit-group-00-debian-12-x86_64-20240206.cgz-4e76c8cc3378-20240319-8579-cffoqq-0.yaml"
id: 1ac154c0ce56fd5b16241e6fda620a911055699e
queuer_version: "/zday/lkp"

#! /db/releases/20240314175313/lkp-src/hosts/lkp-bdw-de1
model: Broadwell-DE
nr_node: 1
nr_cpu: 16
memory: 48G
nr_hdd_partitions: 1
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BA800G4_BTHV410402GY800OGN-part2"
hdd_partitions: "/dev/disk/by-id/ata-ST9500620NS_9XF26EB5-part1"
swap_partitions:
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BA800G4_BTHV410402GY800OGN-part1"
brand: Intel(R) Xeon(R) CPU D-1541 @ 2.10GHz

#! /db/releases/20240314175313/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240314175313/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240314175313/lkp-src/include/queue/cyclic
commit: 4e76c8cc3378a20923965e3345f40f6b8ae0bdba

#! /db/releases/20240314175313/lkp-src/include/testbox/lkp-bdw-de1
ucode: '0x700001c'
need_kconfig_hw:
- PTP_1588_CLOCK: y
- IGB: y
- NETDEVICES: y
- ETHERNET: y
- NET_VENDOR_INTEL: y
- PCI: y
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- HAS_DMA: y

#! /db/releases/20240314175313/lkp-src/include/kunit
need_kconfig:
- RUNTIME_TESTING_MENU: y
- KUNIT: y
- KUNIT_DEFAULT_ENABLED: n
- KUNIT_DEBUGFS: y
- KUNIT_ALL_TESTS: m
- KUNIT_EXAMPLE_TEST: n
- KUNIT_TEST: n
- MEMCPY_SLOW_KUNIT_TEST: n
- BITFIELD_KUNIT: m
- BITS_TEST: m
- CMDLINE_KUNIT_TEST: m
- HASH_KUNIT_TEST: m
- LINEAR_RANGES_TEST: m
- LIST_KUNIT_TEST: m
- MEMCPY_KUNIT_TEST: m
- SND_SOC_TOPOLOGY_KUNIT_TEST: m
- NETDEV_ADDR_LIST_TEST: m
- RESOURCE_KUNIT_TEST: m
- SYSCTL_KUNIT_TEST: m
- TIME_KUNIT_TEST: m
- TEST_LIST_SORT: m
- TEST_SORT: m
- CPUMASK_KUNIT_TEST: m
- IS_SIGNED_TYPE_KUNIT_TEST: m
- OVERFLOW_KUNIT_TEST: m
- SIPHASH_KUNIT_TEST: m
- STACKINIT_KUNIT_TEST: m
- STRSCPY_KUNIT_TEST: m
- DRIVER_PE_KUNIT_TEST
- RTC_LIB_KUNIT_TEST: m
- RTC_CLASS: y
- FORTIFY_KUNIT_TEST: m
- FORTIFY_SOURCE: y
- KASAN_KUNIT_TEST: m
- KASAN: y
- EXT4_KUNIT_TESTS: m
- EXT4_FS
- TRACEPOINTS: y
- KFENCE_KUNIT_TEST: m
- KFENCE: y
- MPTCP_KUNIT_TEST: m
- MPTCP: y
- RATIONAL_KUNIT_TEST: m
- RATIONAL: y
- SLUB_KUNIT_TEST: m
- SLOB_DEPRECATED: n
- SLUB: y
- SLUB_DEBUG: y
- SLUB_TINY: n
- SECURITY_APPARMOR_KUNIT_TEST: m
- SECURITY_APPARMOR: y
- CLK_GATE_KUNIT_TEST: m
- CLK_KUNIT_TEST: m
- COMMON_CLK: y
- CROS_KUNIT_EC_PROTO_TEST: m
- CHROME_PLATFORMS: y
- CROS_EC: m
- HID_KUNIT_TEST: m
- HID_SUPPORT: y
- HID
- HID_BATTERY_STRENGTH: y
- USB
- USB_HID
- HID_UCLOGIC: m
- IIO_FORMAT_KUNIT_TEST: m
- IIO: m
- IIO_RESCALE_KUNIT_TEST: m
- IIO_RESCALE: m
- SND_SOC_UTILS_KUNIT_TEST: m
- SOUND: m
- FAT_KUNIT_TEST: m
- FAT_FS: m
- DAMON_KUNIT_TEST: y
- PM_QOS_KUNIT_TEST: y
- BINFMT_ELF_KUNIT_TEST: y
- VCAP_KUNIT_TEST: y
- VCAP: y
- USB4_KUNIT_TEST: y
- USB4: y
- FPROBE_SANITY_TEST: y
- FPROBE: y
- HW_BREAKPOINT_KUNIT_TEST: y
- PROFILING: y
- PERF_EVENTS: y
- DAMON_DBGFS_KUNIT_TEST: y
- DAMON: y
- DAMON_DBGFS: y
- DAMON_VADDR: y
- DAMON_VADDR_KUNIT_TEST: y
- DAMON_PADDR: y
- DAMON_SYSFS: y
kconfig: x86_64-rhel-8.3-kunit
enqueue_time: 2024-03-18 22:29:29.745080766 +08:00
_rt: "/result/kunit/group-00/lkp-bdw-de1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kunit/gcc-12/4e76c8cc3378a20923965e3345f40f6b8ae0bdba"
compiler: gcc-12
head_commit: 24b736372bcb00650fbee71bca6ab995e6df10c4
base_commit: e8f897f4afef0031fe618a8e94127a0934896aba
branch: internal-devel/devel-hourly-20240316-011026
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240318-193909"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kunit/group-00/lkp-bdw-de1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kunit/gcc-12/4e76c8cc3378a20923965e3345f40f6b8ae0bdba/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kunit/gcc-12/4e76c8cc3378a20923965e3345f40f6b8ae0bdba/vmlinuz-6.8.0-rc5-00151-g4e76c8cc3378
- branch=internal-devel/devel-hourly-20240316-011026
- job=/lkp/jobs/scheduled/lkp-bdw-de1/kunit-group-00-debian-12-x86_64-20240206.cgz-4e76c8cc3378-20240319-8579-cffoqq-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kunit
- commit=4e76c8cc3378a20923965e3345f40f6b8ae0bdba
- kunit.enable=1
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- earlyprintk=ttyS0,115200
- systemd.log_level=err
- console=ttyS0,115200
- console=tty0
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kunit/gcc-12/4e76c8cc3378a20923965e3345f40f6b8ae0bdba/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240314175313/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-bdw-de1/kunit-group-00-debian-12-x86_64-20240206.cgz-4e76c8cc3378-20240319-8579-cffoqq-0.cgz"
last_kernel: 4.20.0

#! user overrides
result_root: "/result/kunit/group-00/lkp-bdw-de1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kunit/gcc-12/4e76c8cc3378a20923965e3345f40f6b8ae0bdba/0"
dequeue_time: 2024-03-19 00:53:44.864701408 +08:00
kernel: "/pkg/linux/x86_64-rhel-8.3-kunit/gcc-12/4e76c8cc3378a20923965e3345f40f6b8ae0bdba/vmlinuz-6.8.0-rc5-00151-g4e76c8cc3378"

#! /cephfs/db/releases/20240318183217/lkp-src/include/site/inn
job_state: booting
